package cc.winboll.studio.regexputils;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.EditText;

public class URLEditText extends EditText {
    //Drawable drawable_r;
    //Drawable drawable_l_no;
    //Drawable drawable_l_yes;
    
    public static final String TAG = URLEditText.class.getSimpleName();

    /**
     * 在java代码里new的时候会用到
     * @param context
     */
    public URLEditText(Context context) {
        super(context);

    }

    /**
     * 在xml布局文件中使用时自动调用
     * @param context
     */
    public URLEditText(Context context, AttributeSet attrs) {
        super(context, attrs);
        /*TypedArray ta = context.obtainStyledAttributes(attrs, R.styleable.test);
         String text = ta.getString(R.styleable.test_text);
         setText(text + " ZhanGSKen.CN");
         ta.recycle();*/
        /*drawable_r = getResources().getDrawable(R.mipmap.dropdown);
        //drawable_n.setBounds(0, 0, drawable_n.getMinimumWidth(),drawable_n.getMinimumHeight());  //此为必须写的
        drawable_r.setBounds(0, 0, 80, 80);  //此为必须写的
        
        drawable_l_no = getResources().getDrawable(R.mipmap.favorite_no);
        //drawable_n.setBounds(0, 0, drawable_n.getMinimumWidth(),drawable_n.getMinimumHeight());  //此为必须写的
        drawable_l_no.setBounds(0, 0, 80, 80);  //此为必须写的
        
        drawable_l_yes = getResources().getDrawable(R.mipmap.favorite_yes);
        //drawable_n.setBounds(0, 0, drawable_n.getMinimumWidth(),drawable_n.getMinimumHeight());  //此为必须写的
        drawable_l_yes.setBounds(0, 0, 80, 80);  //此为必须写的
        
        setFavoriteNo();*/
        //setMinWidth(100);
        //setPadding(10,0,10,0);
        //setPaddingRelative(0,0,0,0);
    }

    /**
     * 不会自动调用，如果有默认style时，在第二个构造函数中调用
     * @param context
     * @param attrs
     * @param defStyleAttr
     */
    public URLEditText(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }


    /**
     * 只有在API版本>21时才会用到
     * 不会自动调用，如果有默认style时，在第二个构造函数中调用
     * @param context
     * @param attrs
     * @param defStyleAttr
     * @param defStyleRes
     */
    //@RequiresApi(api = Build.VERSION_CODES.LOLLIPOP)
    public URLEditText(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
    }
    
   /* public void setFavoriteNo() {
        setCompoundDrawables(drawable_l_no, null, drawable_r, null);
    }
    public void setFavoriteYes() {
        setCompoundDrawables(drawable_l_yes, null, drawable_r, null);
    }*/
}
